Koozali.org formerly Contribs.org

FFMPEG, MENCODER and FLVTOOL2

FFMPEG, MENCODER and FLVTOOL2
« on: December 05, 2009, 01:17:50 PM »
Hi

wan to run The hwdVideoShare video sharing gallery on a SME 7.4 and need FFMPEG, MENCODER and FLVTOOL2

hwdVideoShare is Joomla extension that functions like that of other popular video sharing websites such as YouTube. It features multiple uploading tools for large media uploads. The component requires FFMPEG, MENCODER and FLVTOOL2 to run and can support the mpg, mpeg, avi, divx, mp4, flv, wmv, rm, mov, moov, asf, swf and vob video formats.

tnx
...

Offline mmccarn

  • *
  • 2,440
Re: FFMPEG, MENCODER and FLVTOOL2
« Reply #1 on: December 05, 2009, 05:14:23 PM »
If you enable the dag repository: http://wiki.contribs.org/Dag

You can install these packages using
Code: [Select]
yum --enablerepo=dag install ffmpeg mencoder
On my SME 7.4 system, the above command results in:
Quote
Transaction Summary
=============================================================================
Install     51 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 36 M

This gets you ffmpeg and mencoder.

flvtool2 seems to be a ruby application, so if you haven't done so already you'll need to install ruby (instructions included in passing in http://wiki.contribs.org/RubyOnRails).

Be careful; good luck?

Re: FFMPEG, MENCODER and FLVTOOL2
« Reply #2 on: December 06, 2009, 10:07:20 PM »
tnx
but now, if i use: yum --enablerepo=dag install ffmpeg mencoder

Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package ffmpeg.i386 0:0.5-2.el4.rf set to be updated
---> Package mencoder.i386 0:1.0-0.40.svn20090711.el4.rf set to be updated
--> Running transaction check
--> Processing Dependency: libfaac.so.0 for package: mencoder
--> Processing Dependency: libfaac.so.0 for package: ffmpeg
--> Processing Dependency: mplayer = 1.0 for package: mencoder
--> Processing Dependency: libcdda_paranoia.so.0 for package: mencoder
--> Processing Dependency: a52dec for package: ffmpeg
--> Processing Dependency: libdv.so.4 for package: mencoder
--> Processing Dependency: libdirac_decoder.so.0 for package: ffmpeg
--> Processing Dependency: libtwolame.so.0 for package: mencoder
--> Processing Dependency: libmp3lame.so.0 for package: mencoder
--> Processing Dependency: libamrwb.so.3 for package: mencoder
--> Processing Dependency: libpostproc.so.51 for package: ffmpeg
--> Processing Dependency: libImlib2.so.1 for package: ffmpeg
--> Processing Dependency: libx264.so.68 for package: mencoder
--> Processing Dependency: libamrnb.so.3 for package: ffmpeg
--> Processing Dependency: libSDL-1.2.so.0 for package: ffmpeg
--> Processing Dependency: libmng.so.1 for package: mencoder
--> Processing Dependency: libdirac_encoder.so.0 for package: mencoder
--> Processing Dependency: libdirac_encoder.so.0 for package: ffmpeg
--> Processing Dependency: libmad.so.0 for package: mencoder
--> Processing Dependency: libxvidcore.so.4 for package: mencoder
--> Processing Dependency: libamrnb.so.3 for package: mencoder
--> Processing Dependency: libenca.so.0 for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mencoder
--> Processing Dependency: libdirac_decoder.so.0 for package: mencoder
--> Processing Dependency: libasound.so.2 for package: mencoder
--> Processing Dependency: libdca.so.0 for package: mencoder
--> Processing Dependency: libmpcdec.so.5 for package: mencoder
--> Processing Dependency: libfribidi.so.0 for package: mencoder
--> Processing Dependency: libmp3lame.so.0 for package: ffmpeg
--> Processing Dependency: liblzo2.so.2 for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mencoder
--> Processing Dependency: libx264.so.68 for package: ffmpeg
--> Processing Dependency: libfaad.so.0 for package: ffmpeg
--> Processing Dependency: libcdda_interface.so.0 for package: mencoder
--> Processing Dependency: libamrwb.so.3 for package: ffmpeg
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package dirac.i386 0:1.0.2-1.el4.rf set to be updated
---> Package libmad.i386 0:0.15.1b-4.el4.rf set to be updated
---> Package amrnb.i386 0:7.0.0.2-1.el4.rf set to be updated
---> Package libmpcdec.i386 0:1.2.6-1.el4.rf set to be updated
---> Package libdca.i386 0:0.0.5-1.el4.rf set to be updated
---> Package twolame.i386 0:0.3.12-1.el4.rf set to be updated
---> Package amrwb.i386 0:7.0.0.3-1.el4.rf set to be updated
---> Package xvidcore.i386 0:1.2.2-1.el4.rf set to be updated
---> Package faac.i386 0:1.26-1.el4.rf set to be updated
---> Package faad2.i386 0:2.6.1-1.el4.rf set to be updated
---> Package a52dec.i386 0:0.7.4-8.el4.rf set to be updated
---> Package imlib2.i386 0:1.4.0-1.el4.rf set to be updated
---> Package ffmpeg-libpostproc.i386 0:0.5-2.el4.rf set to be updated
---> Package lame.i386 0:3.98.2-1.el4.rf set to be updated
---> Package enca.i386 0:1.10-1.el4.rf set to be updated
---> Package lzo2.i386 0:2.02-3.el4.rf set to be updated
---> Package mplayer.i386 0:1.0-0.40.svn20090711.el4.rf set to be updated
---> Package x264.i386 0:0.0.0-0.4.20090708.el4.rf set to be updated
--> Running transaction check
--> Processing Dependency: libpango-1.0.so.0 for package: mplayer
--> Processing Dependency: libpangox-1.0.so.0 for package: mplayer
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc8) for package: mplayer
--> Processing Dependency: libcdda_paranoia.so.0 for package: mencoder
--> Processing Dependency: libdv.so.4 for package: mencoder
--> Processing Dependency: libcaca.so.0 for package: mplayer
--> Processing Dependency: libcppunit-1.12.so.0 for package: dirac
--> Processing Dependency: libcucul.so.0 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mplayer
--> Processing Dependency: libgdk-x11-2.0.so.0 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mencoder
--> Processing Dependency: libmng.so.1 for package: mplayer
--> Processing Dependency: mplayer-fonts for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mplayer
--> Processing Dependency: libSDL-1.2.so.0 for package: ffmpeg
--> Processing Dependency: liblirc_client.so.0 for package: mplayer
--> Processing Dependency: libsndfile.so.1(libsndfile.so.1.0) for package: twolame
--> Processing Dependency: libaa.so.1 for package: mplayer
--> Processing Dependency: libcdda_paranoia.so.0 for package: mplayer
--> Processing Dependency: libgdk_pixbuf-2.0.so.0 for package: mplayer
--> Processing Dependency: libatk-1.0.so.0 for package: mplayer
--> Processing Dependency: libpangoxft-1.0.so.0 for package: mplayer
--> Processing Dependency: libsndfile.so.1 for package: twolame
--> Processing Dependency: libSDL-1.2.so.0 for package: mplayer
--> Processing Dependency: libesd.so.0 for package: mplayer
--> Processing Dependency: libmng.so.1 for package: mencoder
--> Processing Dependency: libdirectfb-1.2.so.0 for package: mplayer
--> Processing Dependency: pkgconfig for package: ffmpeg-libpostproc
--> Processing Dependency: libartsc.so.0 for package: mplayer
--> Processing Dependency: libXvMCW.so.1 for package: mplayer
--> Processing Dependency: libasound.so.2 for package: mencoder
--> Processing Dependency: libgtk-x11-2.0.so.0 for package: mplayer
--> Processing Dependency: libid3tag.so.0 for package: imlib2
--> Processing Dependency: libfribidi.so.0 for package: mencoder
--> Processing Dependency: libopenal.so.0 for package: mplayer
--> Processing Dependency: libasound.so.2 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mencoder
--> Processing Dependency: libcdda_interface.so.0 for package: mencoder
--> Processing Dependency: libaudiofile.so.0 for package: mplayer
--> Processing Dependency: libvga.so.1 for package: mplayer
--> Processing Dependency: libdv.so.4 for package: mplayer
--> Processing Dependency: libcdda_interface.so.0 for package: mplayer
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package openal.i386 0:0.0.8-2.el4.rf set to be updated
---> Package directfb.i386 0:1.2.4-1.el4.rf set to be updated
---> Package libid3tag.i386 0:0.15.1b-3.2.el4.rf set to be updated
---> Package atk.i386 0:1.8.0-2 set to be updated
---> Package gtk2.i386 0:2.4.13-24.el4 set to be updated
---> Package mplayer-fonts.noarch 0:1.1-3.0.rf set to be updated
---> Package libcaca.i386 0:0.99-0.1.beta11.el4.rf set to be updated
---> Package lirc.i386 0:0.6.6-4.2.el4.rf set to be updated
---> Package pango.i386 0:1.6.0-14.4_7 set to be updated
---> Package audiofile.i386 1:0.2.6-1.el4.1 set to be updated
---> Package libXvMCW.i386 0:0.9.3-1.2.el4.rf set to be updated
---> Package cppunit.i386 0:1.12.0-3.el4.rf set to be updated
---> Package libsndfile.i386 0:1.0.17-1.el4.rf set to be updated
---> Package svgalib.i386 0:1.9.25-1.el4.rf set to be updated
---> Package aalib.i386 0:1.4.0-5.2.el4.rf set to be updated
---> Package esound.i386 1:0.2.35-2 set to be updated
--> Running transaction check
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: libartsc.so.0 for package: mplayer
--> Processing Dependency: libcdda_paranoia.so.0 for package: mencoder
--> Processing Dependency: libdv.so.4 for package: mencoder
--> Processing Dependency: libasound.so.2 for package: openal
--> Processing Dependency: libvorbisfile.so.3 for package: openal
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mplayer
--> Processing Dependency: libglut.so.3 for package: libcaca
--> Processing Dependency: libasound.so.2 for package: libsndfile
--> Processing Dependency: libts-0.0.so.0 for package: directfb
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mencoder
--> Processing Dependency: libmng.so.1 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: esound
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mplayer
--> Processing Dependency: libSDL-1.2.so.0 for package: ffmpeg
--> Processing Dependency: libmng.so.1 for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: esound
--> Processing Dependency: libartsc.so.0 for package: openal
--> Processing Dependency: libcdda_paranoia.so.0 for package: mplayer
--> Processing Dependency: libvorbis.so.0 for package: openal
--> Processing Dependency: libSDL-1.2.so.0 for package: openal
--> Processing Dependency: libSDL-1.2.so.0 for package: mplayer
--> Processing Dependency: pkgconfig for package: ffmpeg-libpostproc
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc8) for package: mplayer
--> Processing Dependency: libasound.so.2 for package: esound
--> Processing Dependency: libFLAC.so.4 for package: libsndfile
--> Processing Dependency: libasound.so.2 for package: mencoder
--> Processing Dependency: libfribidi.so.0 for package: mencoder
--> Processing Dependency: libasound.so.2 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: libsndfile
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: openal
--> Processing Dependency: libcdda_interface.so.0 for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: libsndfile
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: openal
--> Processing Dependency: libdv.so.4 for package: mplayer
--> Processing Dependency: libcdda_interface.so.0 for package: mplayer
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package tslib.i386 0:1.0-1.el4.rf set to be updated
--> Running transaction check
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: libartsc.so.0 for package: mplayer
--> Processing Dependency: libcdda_paranoia.so.0 for package: mencoder
--> Processing Dependency: libdv.so.4 for package: mencoder
--> Processing Dependency: libasound.so.2 for package: openal
--> Processing Dependency: libvorbisfile.so.3 for package: openal
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mplayer
--> Processing Dependency: libglut.so.3 for package: libcaca
--> Processing Dependency: libasound.so.2 for package: libsndfile
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mencoder
--> Processing Dependency: libmng.so.1 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: esound
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: mplayer
--> Processing Dependency: libSDL-1.2.so.0 for package: ffmpeg
--> Processing Dependency: libmng.so.1 for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: esound
--> Processing Dependency: libartsc.so.0 for package: openal
--> Processing Dependency: libcdda_paranoia.so.0 for package: mplayer
--> Processing Dependency: libvorbis.so.0 for package: openal
--> Processing Dependency: libSDL-1.2.so.0 for package: openal
--> Processing Dependency: libSDL-1.2.so.0 for package: mplayer
--> Processing Dependency: pkgconfig for package: ffmpeg-libpostproc
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc8) for package: mplayer
--> Processing Dependency: libasound.so.2 for package: esound
--> Processing Dependency: libFLAC.so.4 for package: libsndfile
--> Processing Dependency: libasound.so.2 for package: mencoder
--> Processing Dependency: libfribidi.so.0 for package: mencoder
--> Processing Dependency: libasound.so.2 for package: mplayer
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: libsndfile
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: openal
--> Processing Dependency: libcdda_interface.so.0 for package: mencoder
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: libsndfile
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: openal
--> Processing Dependency: libdv.so.4 for package: mplayer
--> Processing Dependency: libcdda_interface.so.0 for package: mplayer
--> Finished Dependency Resolution
Error: Missing Dependency: libcdda_paranoia.so.0 is needed by package mencoder
Error: Missing Dependency: libdv.so.4 is needed by package mencoder
Error: Missing Dependency: libSDL-1.2.so.0 is needed by package ffmpeg
Error: Missing Dependency: libmng.so.1 is needed by package mencoder
Error: Missing Dependency: libasound.so.2(ALSA_0.9) is needed by package mencoder
Error: Missing Dependency: libasound.so.2 is needed by package mencoder
Error: Missing Dependency: libfribidi.so.0 is needed by package mencoder
Error: Missing Dependency: libasound.so.2(ALSA_0.9.0rc4) is needed by package mencoder
Error: Missing Dependency: libcdda_interface.so.0 is needed by package mencoder
Error: Missing Dependency: libfribidi.so.0 is needed by package mplayer
Error: Missing Dependency: libasound.so.2(ALSA_0.9.0rc8) is needed by package mplayer
Error: Missing Dependency: libasound.so.2(ALSA_0.9.0rc4) is needed by package mplayer
Error: Missing Dependency: libmng.so.1 is needed by package mplayer
Error: Missing Dependency: libasound.so.2(ALSA_0.9) is needed by package mplayer
Error: Missing Dependency: libcdda_paranoia.so.0 is needed by package mplayer
Error: Missing Dependency: libSDL-1.2.so.0 is needed by package mplayer
Error: Missing Dependency: pkgconfig is needed by package ffmpeg-libpostproc
Error: Missing Dependency: libartsc.so.0 is needed by package mplayer
Error: Missing Dependency: libasound.so.2 is needed by package mplayer
Error: Missing Dependency: libdv.so.4 is needed by package mplayer
Error: Missing Dependency: libcdda_interface.so.0 is needed by package mplayer
Error: Missing Dependency: libasound.so.2 is needed by package openal
Error: Missing Dependency: libvorbisfile.so.3 is needed by package openal
Error: Missing Dependency: libglut.so.3 is needed by package libcaca
Error: Missing Dependency: libasound.so.2 is needed by package libsndfile
Error: Missing Dependency: libasound.so.2(ALSA_0.9) is needed by package esound
Error: Missing Dependency: libasound.so.2(ALSA_0.9.0rc4) is needed by package esound
Error: Missing Dependency: libartsc.so.0 is needed by package openal
Error: Missing Dependency: libvorbis.so.0 is needed by package openal
Error: Missing Dependency: libSDL-1.2.so.0 is needed by package openal
Error: Missing Dependency: libasound.so.2 is needed by package esound
Error: Missing Dependency: libFLAC.so.4 is needed by package libsndfile
Error: Missing Dependency: libasound.so.2(ALSA_0.9.0rc4) is needed by package libsndfile
Error: Missing Dependency: libasound.so.2(ALSA_0.9) is needed by package openal
Error: Missing Dependency: libasound.so.2(ALSA_0.9) is needed by package libsndfile
Error: Missing Dependency: libasound.so.2(ALSA_0.9.0rc4) is needed by package openal
...

Offline mmccarn

  • *
  • 2,440
Re: FFMPEG, MENCODER and FLVTOOL2
« Reply #3 on: December 07, 2009, 02:33:35 PM »
---> Package ffmpeg.i386 0:0.5-2.el4.rf set to be updated
---> Package mencoder.i386 0:1.0-0.40.svn20090711.el4.rf set to be updated

It looks like you already have ffmpeg and mencoder installed (since the given command is trying to update them).

Probably, the 'missing dependancy' items were installed at the same time -- so you'll need to look through your notes and figure out where you got them from...

Alternatively, since you already have ffmpeg and mencoder, just leave them alone for now, and move on to ruby and flvtool2...

Re: FFMPEG, MENCODER and FLVTOOL2
« Reply #4 on: December 07, 2009, 05:11:31 PM »
It looks like you already have ffmpeg and mencoder installed (since the given command is trying to update them).

Probably, the 'missing dependancy' items were installed at the same time -- so you'll need to look through your notes and figure out where you got them from...
that's a good question, I do not know from where I've installed it.


Quote
Alternatively, since you already have ffmpeg and mencoder, just leave them alone for now, and move on to ruby and flvtool2...
ok
I installed ruby with:
Quote
db yum_repositories set centos-testing repository \
BaseURL http://dev.centos.org/centos/4/testing/i386/ \
Name 'CentOS - testing' \
Visible yes \
GPGKey http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing \
GPGCheck yes \
status disabled

signal-event yum-modify

yum --enablerepo=centos-testing install ruby ruby-libs ruby-devel \
      ruby-mysql ruby-ri ruby-postgres ruby-rdoc ruby-docs


now if i Converting Videos with the Joomla Extension, i get:
Quote
Converting FLV Video
ERROR: Problem with MENCODER - No Videos converted.
MENCODER OUTPUT:
sh: /usr/local/bin/ffmpeg: No such file or directory
sh: /usr/local/bin/ffmpeg: No such file or directory

seems that the mencoder is not installed, or I misunderstood something.

thank you for quick response and assistance :-)
...

Offline mmccarn

  • *
  • 2,440
Re: FFMPEG, MENCODER and FLVTOOL2
« Reply #5 on: December 08, 2009, 01:20:16 PM »
My ffmpeg binary is at /usr/bin/ffmpeg, not at /usr/local/bin/ffmpeg.

Verify exactly where your ffmpeg binary is located, then look for a configuration file that tells either joomla or mencoder where to find it.

Re: FFMPEG, MENCODER and FLVTOOL2
« Reply #6 on: December 08, 2009, 03:03:49 PM »
Juhuuu :-)

have now changed only thet path to /usr/bin/ffmpeg, and now all works!

thank you ,)
...